Orangutan::Redmine - Feature #180

Issue status changing
01 Apr 2010 18:58 - Andriy Lesyuk

Status: Open Start date:

Priority: Normal Due date:

Assignee: Andriy Lesyuk % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.07

Description

As far as most of the work with an issue is going to be done using Orangutan it would be very useful to be able to change issue

status using some special context.
Some samples and ideas:
User: #128 is new

User: Resolve #128
User: Close #128

In addition the context should be called when issue is changed to be 100% done (e.g.). Of course, it should ask for confirmation:

Orangutan: So should I change its status to "Closed"?

User: Yes
Orangutan: Ok.

History

#1 - 16 Sep 2010 20:20 - Andriy Lesyuk

- Priority changed from Minor to Normal

#2 - 23 Oct 2010 12:05 - Andriy Lesyuk

- Target version set to 1.07

#3 - 29 Oct 2010 18:19 - Andriy Lesyuk

Another suggestion:

If user adds hours to an issue and issue status is new Orangutan can ask:

Orangutan: Maybe I will change status to "In Progress"?

User: Sure
Orangutan: Done

#4 - 11 Dec 2010 02:20 - Andriy Lesyuk

- Target version changed from 1.07 to 1.05

#5 - 31 Jan 2011 10:05 - Andriy Lesyuk

- Target version changed from 1.05 to 1.07

#6 - 01 Mar 2011 14:44 - Andriy Lesyuk
http://projects.andriylesyuk.com/issues/128
http://projects.andriylesyuk.com/issues/128
http://projects.andriylesyuk.com/issues/128

- Project changed from Orangutan to Orangutan::Redmine
